#*************************************************************
# Progamm:			isa_atmosphaere
# Sinn des Programms: 		Einlesen und Interpolieren von athmosphärischen
#				Zustandsgrößen aus einer Tabelle
# Sinn der Einheit  :		Einlesen der Steurdaten aus der Steuerdatei	
# Name dieser Datei:		steuer.py
# Versionsnummer:		1
# Wird aufgerufen von:		isa_atmosphaere_haupt.py
# Ruft auf:			-
# Nummer im Programmpaket:	2
# von:				2			
# Autor: 			Armin Ulrich
# Erster Lauf: 			25.11.2019
# Letzte Änderung: 		28.11.2019
#*************************************************************

#*************************************************************
# Importieren der Klassen für Dateifunktionen
#*************************************************************
import os


class Datei_einlese:

  def __init__(self):		
    print("Datei_leseobjekt erzeugt")


  #Destruktormethode
  def __del__(self):	
    print("Datei_leseobjekt entfernt")   

#*************************************************************
# Funktion zum Öffnen der ISA-datei und zum Auslesen der
# Atmosphärendaten
#*************************************************************
  def datei_input(self, eingabe_datei):
    print("Einlesen der Atmosphärendaten") 
  
    self.zeilenzähler = 0
    fobj_in = open(eingabe_datei,"r") 
    while True: 
      zeile = fobj_in.readline()
      if len(zeile) == 0: # eine leere Zeile bedeutet Dateiende (EOF)
        break
      self.zeilenzähler += 1
    fobj_in.close()
    self.m = self.zeilenzähler
    print ("m: max-Zeilen:",self.m, "Obiheidi")
    # hoehe(i),T(i),p(i),rho_rel(i),nue(i),lambda(i), c(i)
    if os.path.exists(eingabe_datei):
      print("Datei ist vorhanden")
      fobj_in = open(eingabe_datei,"r") 
      self.x = list(range(self.m))
      self.y = list(range(self.m))
      for i in range(self.m):
        zeile=fobj_in.readline()
        länge = len(zeile)
        self.puffer = zeile[0:länge-1]
        dummy   = self.puffer.split(",")
        self.x[i]=float(dummy[0])
        self.y[i]=float(dummy[1])
        print("x[",i,"]=",self.x[i],self.y[i])
      fobj_in.close()
      return True
    else:
      return False


